GXquery 4.0 Requirements

Following you will find the requirements by component needed to install GXquery 4.0.

Server Side 

  • Windows Vista, Windows Server 2008 , Windows 7, Windows 8,  Windows 8.1 or Windows Server 2012.
  • Internet Information Server 7.0 or higher version.
  • URL Rewrite Module for IIS
  • Microsoft .NET Framework 3.5 sp1
  • Microsoft SQL Server 2005 or higher version (Express, Standard or any other Edition).
  • The SQL database user must be administrator or have enabled the "sysadmin" property .
  • Microsoft Visual C++ 2008 Redistributable (see SAC #23847 for details).
  • Enable Windows Communication Foundation HTTP/Non-HTTP Activation
    Windows Communication Foundation

Client Side

  • Internet Explorer 9.0 or higher version
  • Firefox 9.0 or higher version.
  • Chrome 16 or higher version.
  • Safari 5.1 or higher version
  • Adobe Flash Player

Other requirements (DBMS)

In all cases you must copy the dll driver in the \Web\bin directory of the Gxquery installation:

  • On DB2 UDB you have to copy the IBM.Data.DB2.dll file.
  • On DB2 for iSeries you have to copy the IBM.Data.DB2.iSeries.dll file.
  • On Informix you have to copy the IBM.Data.Informix.dll file.
  • On MySQL you have to copy MySQLDriverCS.dll file.

In addition, to the case of Informix, DB2 UDB, DB2 for iSeries and Oracle you have to install a 32bit client to connect to those DBMS.